summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorBrian Tarricone <brian@tarricone.org>2008-11-17 02:16:02 +0000
committerBrian Tarricone <brian@tarricone.org>2008-11-17 02:16:02 +0000
commit96d7b7ff667555a798f469d54f62119cab316efd (patch)
treeeba5e70a09a4246db1464466ede05a401827b98a /scripts
parent9b53b38659aaf16c94bdb20c2942ab9259ba5a27 (diff)
downloadxfce4-dev-tools-96d7b7ff667555a798f469d54f62119cab316efd.tar.gz
* scripts/xdt-autogen.in: Remove intltool auto-patch: it wasn't
terribly reliable, and Xfce doesn't need it anymore anyway. (Old svn revision: 28835)
Diffstat (limited to 'scripts')
-rw-r--r--scripts/xdt-autogen.in49
1 files changed, 0 insertions, 49 deletions
diff --git a/scripts/xdt-autogen.in b/scripts/xdt-autogen.in
index 4626bd2..eb8a97f 100644
--- a/scripts/xdt-autogen.in
+++ b/scripts/xdt-autogen.in
@@ -58,49 +58,6 @@ EOF
##
-## This fixes a bug in intltool-merge that fails to merge translations
-## for .desktop file keys that have a '-' or '_' char in them. this
-## is fixed in intltool 0.40.4.
-##
-patch_intltool_merge() {
- verstring=`$XDT_PROG_INTLTOOLIZE --version | cut -d' ' -f4`
- ver_major=`echo $verstring | cut -d. -f1`
- ver_minor=`echo $verstring | cut -d. -f2`
- ver_micro=`echo $verstring | cut -d. -f3`
-
- if test "$ver_major" -a "$ver_minor" -a "$ver_micro"; then
- test $ver_major -gt 0 && return 0
- test $ver_minor -gt 40 && return 0
- test $ver_minor -eq 40 -a $ver_micro -ge 4 && return 0
- if test $ver_minor -eq 40 -a $ver_micro -lt 4; then
- echo "WARNING: Unable to patch intltool-merge from versions 0.40.0 through 0.40.3."
- echo "WARNING: Generated .desktop files may be invalid."
- return 0 # already printed an error; just pretend success
- fi
- fi
-
- # attempt to patch, and hope it works...
- test -z "$@" && echo 'Patching intltool-merge.in ...'
- echo '--- intltool-merge.in.orig 2008-08-24 19:02:59.000000000 -0700
-+++ intltool-merge.in 2008-08-24 19:03:12.000000000 -0700
-@@ -1182,9 +1182,9 @@
-
- while (<INPUT>)
- {
-- if (s/^(\s*)_(\w+=(.*))/$1$2/)
-+ if (s/^(\s*)_((\w|-|_)+=(.*))/$1$2/)
- {
-- my $string = $3;
-+ my $string = $4;
-
- print OUTPUT;
- ' | patch -p0 "$@" >/dev/null 2>&1
-
- return $?
-}
-
-
-##
## Determine XDG data dirs
##
test -z "${XDG_DATA_HOME}" && XDG_DATA_HOME="${HOME}/.local/share"
@@ -392,12 +349,6 @@ for configure_file in ${CONFIGURE_FILES}; do
(echo "Running ${XDT_PROG_INTLTOOLIZE} --automake --copy --force" &&
cd "${source_dir}" &&
${XDT_PROG_INTLTOOLIZE} --automake --copy --force) || exit 1
- if patch_intltool_merge --dry-run; then
- patch_intltool_merge
- else
- echo 'WARNING: Failed to patch intltool-merge.in!'
- echo 'WARNING: Generated .desktop files may be incorrect.'
- fi
fi
# patch the po/Makefile.in.in to take into account the setting of